#!/usr/koeki/bin/ruby
#-*-coding: utf-8-*-

require 'csv'
data = CSV.read("cafe.csv", headers: true)
while true
  puts "酒田市のカフェについてのページだよ!"
  puts "何を知りたい?"
  puts "1 カフェの場所"
  puts "2 カフェ近くのバス停(るんるんバス)"
  puts "0 終了"
  print("番号を選んでね!:")
  input=gets.to_i 
 if input == 0 then
   break
 elsif input == 1 then
    n=0
    data.each{|row|
     printf("%d %s: %sが有名のカフェだよ\n",n+=1, row["店名"],row["人気メニュー"])
     printf("住所は、%s。電話番号は、%s。\n", row["住所"],row["電話番号"])
     print("-------------------------------------------------------------\n")}
 elsif input == 2 then
   s=0
    data.each{|row|
      printf("%d %s \n",s+=1,row["店名"])}
      print("どのバス停が知りたい?(番号で答えてね):")
    num = gets.to_i-1
    if num >= 0 && num < data.length
      printf("%sに近いバス停は、 %sです\n", data[num]["店名"],data[num]["バス停"])
      printf("そのバス停は%sのバス線にあります\n", data[num]["バス線名"])
      print("------------------------------------------------------\n")
    end
    else
   print("0〜2から選んでね\n")
 end
end                
 
